package com.inspur.fabric.config;

import com.inspur.fabric.core.entity.OrdererEntity;
import com.inspur.fabric.core.entity.OrgEntity;
import com.inspur.fabric.core.entity.PeerEntity;

import java.util.Collection;

/**
 * @author zhanglan
 * @description
 * @date 2021/8/13
 */
public interface IConfigService {

    Collection<OrgEntity> listBaseOrgInfo();

    Collection<OrdererEntity> listBaseOrdererInfo();

    Collection<String> listChannelName();

    Collection<PeerEntity> listEndorserOfChannelOfChaincode(String channelName, String chaincodeName);

    Collection<PeerEntity> listPeerOfChannel(String channelName);

}
