package com.inspur.fabric.core.entity;

import lombok.Data;

import java.util.Properties;

/**
 * @author zhanglan
 * @description
 * @date 2021/8/13
 */
@Data
public class PeerEntity {
    private String peerName;

    private OrgEntity org;

    private String orgName;

    private String mspId;

    private String peerLocation;

    private String peerEventHubLocation;

    private Properties peerProperties;

    private boolean addEventHub = false;

    public PeerEntity(String peerName) {
        this.peerName = peerName;
    }

    public void setOrg(OrgEntity org) {
        this.org = org;
        this.orgName = org.getOrgName();
        this.mspId = org.getMspId();
    }
}
