package com.inspur.fabric.core.entity;

import lombok.Data;
import org.hyperledger.fabric.sdk.Enrollment;
import org.hyperledger.fabric.sdk.User;

import java.util.Set;

/**
 * @author zhanglan
 * @description
 * @date 2021/8/13
 */
@Data
public class Admin implements User {
    private String orgName;

    private String name;

    private Set<String> roles;

    private String account;

    private String affiliation;

    private Enrollment enrollment;

    private String mspId;

    public Admin(String orgName) {
        setName("admin");
        setOrgName(orgName);
    }

}
