package com.inspur.fabric.core.entity;

import lombok.Data;

import java.util.Properties;

/**
 * @author zhanglan
 * @description
 * @date 2021/8/13
 */
@Data
public class OrdererEntity {
    // orderer节点的域名
    private String ordererName;

    // orderer节点的地址
    private String ordererLocation;

    private Properties ordererProperties;

    public OrdererEntity(String ordererName, String ordererLocation, Properties ordererProperties) {
        setOrdererName(ordererName);
        setOrdererLocation(ordererLocation);
        setOrdererProperties(ordererProperties);
    }

}
